Subject: Re: git-svn error "Unable to extract revision information from commit ...~1"

From: Steven Grimm <[email-masked]>
Date: Tue, 26 Jun 2007 18:50:51 -0700

Victor Bogado da Silva Lins wrote:
> The problem seem to be that when I merge the head with another branch
> git-svn does not know where to follow to meet the "svn trunk". 

The current release of git-svn doesn't support committing merges. It has 
no clue how to walk nonlinear history, as you point out. The current 
practice is to do "git merge --squash" when merging into the git-svn 
branch that you want to use as the basis for your svn commit. The 
--squash option will make git merge the contents of the other branch(es) 
but record the resulting tree as a regular commit, not as a merge.

There is a work-in-progress patch which might help you if you need to 
preserve merge ancestry on the git side. Search the mailing list 
archives for "[PATCH] git-svn: allow dcommit to retain local merge 
information" if you want to try it (but be aware that it is just an 
initial implementation and may have bugs; it was posted so people could 
try it out and report back any problems to the author.)

-Steve